Support more sphinx-build versions in configure script
[ghc.git] / libffi / libffi.x86-execstack.patch
1  * RWX --- --- usr/lib/ghc-7.10.1/rts/libffi.so.6.0.2
2  * RWX --- --- usr/lib/ghc-7.10.1/rts/libffi.so
3  * RWX --- --- usr/lib/ghc-7.10.1/rts/libffi.so.6
4  * !WX --- --- usr/lib/ghc-7.10.1/rts/libCffi.a:win32.o
5  * !WX --- --- usr/lib/ghc-7.10.1/rts/libCffi_p.a:win32.o
6  * !WX --- --- usr/lib/ghc-7.10.1/rts/libCffi_l.a:win32.o
7  * !WX --- --- usr/lib/ghc-7.10.1/rts/libCffi_debug.a:win32.o
8  * !WX --- --- usr/lib/ghc-7.10.1/rts/libCffi_thr.a:win32.o
9  * !WX --- --- usr/lib/ghc-7.10.1/rts/libCffi_thr_debug.a:win32.o
10  * !WX --- --- usr/lib/ghc-7.10.1/rts/libCffi_thr_l.a:win32.o
11  * !WX --- --- usr/lib/ghc-7.10.1/rts/libCffi_thr_p.a:win32.o
12
13 http://bugs.gentoo.org/511634
14 http://sourceware.org/ml/libffi-discuss/2014/msg00058.html
15
16 --- src/x86/win32.S
17 +++ src/x86/win32.S
18 @@ -1304,3 +1304,6 @@
19  
20  #endif /* !_MSC_VER */
21  
22 +#if defined __ELF__ && defined __linux__
23 +       .section        .note.GNU-stack,"",@progbits
24 +#endif